<?php

namespace kernel\modules\option\models;

use Illuminate\Database\Eloquent\Model;

/**
 * @property int $id
 * @property string $key
 * @property array|string $value
 * @property string $label
 * @property int $status
 */

class Option extends Model
{

    protected $table = 'option';
    protected $fillable = ['key', 'value', 'label', 'status'];
    protected array $dates = ['created_at', 'updated_at'];

    public static function labels()
    {
        return [
            'key' => 'Ключ',
            'value' => 'Значение',
            'label' => 'Название',
            'status' => 'Статус'
        ];
    }

}